List webhook delivery events
curl --request GET \
--url https://api.platform.bitnob.com/webhooks/events \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.platform.bitnob.com/webhooks/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.bitnob.com/webhooks/events"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platform.bitnob.com/webhooks/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.bitnob.com/webhooks/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.platform.bitnob.com/webhooks/events")
.header("X-API-Key", "<api-key>")
.asString();{
"data": [
{
"created_at": "2026-05-16T10:30:00Z",
"delivered_at": "2026-05-16T10:30:00Z",
"delivery_attempts": 1,
"delivery_status": "delivered",
"destination": "https://example.com/webhooks/bitnob",
"http_status_code": 200,
"id": "9b2e7a1c-3d4f-4a8b-9c0d-1e2f3a4b5c6d",
"max_attempts": 5,
"next_retry_at": "2026-05-16T10:30:00Z",
"object": "event",
"type": "transaction.confirmed",
"webhook_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7"
}
],
"has_more": false,
"next_cursor": "",
"object": "list",
"url": ""
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}Webhooks
List webhook delivery events
Returns a paginated list of platform notification deliveries for this organization across all webhook endpoints, newest first. Filter to a single endpoint with the webhook_id query param.
GET
/
webhooks
/
events
List webhook delivery events
curl --request GET \
--url https://api.platform.bitnob.com/webhooks/events \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.platform.bitnob.com/webhooks/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.bitnob.com/webhooks/events"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platform.bitnob.com/webhooks/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.bitnob.com/webhooks/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.platform.bitnob.com/webhooks/events")
.header("X-API-Key", "<api-key>")
.asString();{
"data": [
{
"created_at": "2026-05-16T10:30:00Z",
"delivered_at": "2026-05-16T10:30:00Z",
"delivery_attempts": 1,
"delivery_status": "delivered",
"destination": "https://example.com/webhooks/bitnob",
"http_status_code": 200,
"id": "9b2e7a1c-3d4f-4a8b-9c0d-1e2f3a4b5c6d",
"max_attempts": 5,
"next_retry_at": "2026-05-16T10:30:00Z",
"object": "event",
"type": "transaction.confirmed",
"webhook_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7"
}
],
"has_more": false,
"next_cursor": "",
"object": "list",
"url": ""
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}Authorizations
Headers
API version (defaults to the latest supported version if omitted).
Available options:
v1 Query Parameters
Opaque cursor; returns the page after this item.
Opaque cursor; returns the page before this item.
Page size; bounded by the endpoint maximum.
Filter by delivery status.
Available options:
pending, delivered, failed Narrow the listing to a single webhook.